.. role:: hidden
    :class: hidden-section

torchaudio.sox_effects
======================

Create SoX effects chain for preprocessing audio.

.. currentmodule:: torchaudio.sox_effects

:hidden:`SoxEffect`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: SoxEffect
  :members:

:hidden:`SoxEffectsChain`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: SoxEffectsChain
  :members: append_effect_to_chain, sox_build_flow_effects, clear_chain, set_input_file
